com.io7m.jpra.runtime.java

## Class JPRATypeModel

- java.lang.Object
- - com.io7m.jpra.runtime.java.JPRATypeModel

-     @Generated(value={"Immutables.generator","JPRATypeModelType"})
      public final class JPRATypeModel
      extends Object

  `JPRATypeModel` contains immutable implementation classes generated from abstract value types defined as nested inside `JPRATypeModelType`.
  See Also:
    `JPRATypeModel.JPRAString`, `JPRATypeModel.JPRAMatrix`, `JPRATypeModel.JPRAFloat`, `JPRATypeModel.JPRAIntegerUnsignedNormalized`, `JPRATypeModel.JPRAVector`, `JPRATypeModel.JPRAIntegerSignedNormalized`, `JPRATypeModel.JPRAUserDefined`, `JPRATypeModel.JPRAArray`, `JPRATypeModel.JPRABooleanSet`, `JPRATypeModel.JPRAIntegerUnsigned`, `JPRATypeModel.JPRAIntegerSigned`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JPRATypeModel.JPRAArray` Immutable implementation of `JPRATypeModelType.JPRAArrayType`.
    `static class` | `JPRATypeModel.JPRABooleanSet` Immutable implementation of `JPRATypeModelType.JPRABooleanSetType`.
    `static class` | `JPRATypeModel.JPRAFloat` Immutable implementation of `JPRATypeModelType.JPRAFloatType`.
    `static class` | `JPRATypeModel.JPRAIntegerSigned` Immutable implementation of `JPRATypeModelType.JPRAIntegerSignedType`.
    `static class` | `JPRATypeModel.JPRAIntegerSignedNormalized` Immutable implementation of `JPRATypeModelType.JPRAIntegerSignedNormalizedType`.
    `static class` | `JPRATypeModel.JPRAIntegerUnsigned` Immutable implementation of `JPRATypeModelType.JPRAIntegerUnsignedType`.
    `static class` | `JPRATypeModel.JPRAIntegerUnsignedNormalized` Immutable implementation of `JPRATypeModelType.JPRAIntegerUnsignedNormalizedType`.
    `static class` | `JPRATypeModel.JPRAMatrix` Immutable implementation of `JPRATypeModelType.JPRAMatrixType`.
    `static class` | `JPRATypeModel.JPRAString` Immutable implementation of `JPRATypeModelType.JPRAStringType`.
    `static class` | `JPRATypeModel.JPRAUserDefined` Immutable implementation of `JPRATypeModelType.JPRAUserDefinedType`.
    `static class` | `JPRATypeModel.JPRAVector` Immutable implementation of `JPRATypeModelType.JPRAVectorType`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright © 2015 <code@io7m.com> http://io7m.com